# Uses of Class
javax.sound.sampled.Control.Type

Packages that use Control.Type
Package
Description
javax.sound.sampled
Provides interfaces and classes for capture, processing, and playback of sampled audio data.

## Uses of Control.Type in javax.sound.sampled

Subclasses of Control.Type in javax.sound.sampled
Modifier and Type
Class
Description
`static class`
`BooleanControl.Type`
An instance of the `BooleanControl.Type` class identifies one kind of boolean control.
`static class`
`CompoundControl.Type`
An instance of the `CompoundControl.Type` inner class identifies one kind of compound control.
`static class`
`EnumControl.Type`
An instance of the `EnumControl.Type` inner class identifies one kind of enumerated control.
`static class`
`FloatControl.Type`
An instance of the `FloatControl.Type` inner class identifies one kind of float control.
Methods in javax.sound.sampled that return Control.Type
Modifier and Type
Method
Description
`Control.Type`
Control.`getType()`
Obtains the control's type.
Methods in javax.sound.sampled with parameters of type Control.Type
Modifier and Type
Method
Description
`Control`
Line.`getControl​(Control.Type control)`
Obtains a control of the specified type, if there is any.
`boolean`
Line.`isControlSupported​(Control.Type control)`
Indicates whether the line supports a control of the specified type.
Constructors in javax.sound.sampled with parameters of type Control.Type
Modifier
Constructor
Description
`protected`
`Control​(Control.Type type)`
Constructs a control with the specified type.